| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USB Speed
USB Interface

USB Speed definitions. More...

## Macros

#define | ARM_USB_SPEED_LOW 0
| Low-speed USB.
#define | ARM_USB_SPEED_FULL 1
| Full-speed USB.
#define | ARM_USB_SPEED_HIGH 2
| High-speed USB.

## Description

USB Speed definitions.

The following USB speed values are defined:

## Macro Definition Documentation

#define ARM_USB_SPEED_FULL 1

Full-speed USB.

#define ARM_USB_SPEED_HIGH 2

High-speed USB.

#define ARM_USB_SPEED_LOW 0

Low-speed USB.